# -*- encoding: utf-8 -*-
# stub: school_year 0.2.0 ruby lib

Gem::Specification.new do |s|
  s.name = "school_year".freeze
  s.version = "0.2.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Peter Kirwin".freeze]
  s.date = "2021-09-02"
  s.description = "\n    # School Year\n    Simple logic for translating between academic year and grade for a student\n\n    ## Sample Usage\n    `SchoolYear.grade_to_graduation_year(grade, academic_year)` determines the graduation year for a student based on their grade and the academic year    `SchoolYear.grade_to_year(grade, graduation_year)` determines the calendar year from the student's grade based on the graduation year\n    `SchoolYear.year_to_grade(year, graduation_year)` determines the student's grade from the calendar year based on the graduation year\n    `SchoolYear.default_first_day_of_school(academic_year_or_date)` determines the first day of school (as September 1st) based on an integer representing the academic year (e.g., 1998), or a date (e.g., '1998-04-04'.to_date)\n    `SchoolYear.default_last_day_of_school(academic_year_or_date)` determines the last day of school (as June 15th) based on an integer representing the academic year (e.g., 1998), or a date (e.g., '1998-04-04'.to_date)\n    `SchoolYear.school_days_elapsed(date, first_attendace_day)` determines the approximate number of days elapsed from the first_attendance_day to the date. Both arguments can be blank: if date is blank, the approximate number of total days in the 1901 school year will be returned.\n    ".freeze
  s.email = "peter@puzzlesandwich.com".freeze
  s.homepage = "http://www.puzzlesandwich.com".freeze
  s.licenses = ["MIT".freeze]
  s.rubygems_version = "3.2.22".freeze
  s.summary = "School Year Logic".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version
end
